Skip to content

Retrieve a newsfeed

Request

You can fetch the details of a single newsfeed

Security
bearerAuth
Path
newsfeed_idstringrequired

The unique identifier for the news feed item which is given by Intercom.

Example:123
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
curl -i -X GET \
  https://api.intercom.io/news/newsfeeds/123 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.16'

Responses

successful

Bodyapplication/json
idstring

The unique identifier for the newsfeed which is given by Intercom.

Example:"12312"
typestring

The type of object.

Value:"newsfeed"
Example:"newsfeed"
namestring

The name of the newsfeed. This name will never be visible to your users.

Example:"My Newsfeed"
created_atinteger, (timestamp)

Timestamp for when the newsfeed was created.

Example:1674917488
updated_atinteger, (timestamp)

Timestamp for when the newsfeed was last updated.

Example:1674917488
Response
{ "id": "72", "type": "newsfeed", "name": "Visitor Feed", "created_at": 1734537815, "updated_at": 1734537815 }